#! /bin/bash

#$1 = application name
#$2 = the old app path
#$3 = the downloaded app path

if [ "$3" ] ; then
	if [ "$2" ] ; then
		if [ "$1" ]; then
			
			#Delete the old file
			rm -rf "$2/$1"
			
			#Copy the new file
			cp -R "$3/$1" "$2"

			#Make the file executable
			chmod -R u+x "$2/$1"

			#Remove the downloaded file
			rm -rf "$3/$1"

			#relaunch the application
			cd "$2/$1/Contents/MacOS/"
			export LC_ALL=C
			nohup ./DmailerBackup &
		fi
	fi
else 
	echo "Dmailer updator : Error : invalid number of parameters !!!"
fi
